Oracle8: ELSA-2022-1642: zlib Important Security Update | LinuxSecu...
Oracle Linux Security Advisory ELSA-2022-1642

https://linux.oracle.com/errata/ELSA-2022-1642.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
zlib-1.2.11-18.el8_5.i686.rpm
zlib-1.2.11-18.el8_5.x86_64.rpm
zlib-devel-1.2.11-18.el8_5.i686.rpm
zlib-devel-1.2.11-18.el8_5.x86_64.rpm
zlib-static-1.2.11-18.el8_5.i686.rpm
zlib-static-1.2.11-18.el8_5.x86_64.rpm

aarch64:
zlib-1.2.11-18.el8_5.aarch64.rpm
zlib-devel-1.2.11-18.el8_5.aarch64.rpm
zlib-static-1.2.11-18.el8_5.aarch64.rpm


SRPMS:
https://oss.oracle.com/ol8/SRPMS-updates/zlib-1.2.11-18.el8_5.src.rpm

Related CVEs:

CVE-2018-25032




Description of changes:

[1.2.11-18]
- Resolves: CVE-2018-25032

[1.2.11-17]
- Fixed DFLTCC compression level switching issues (#1875492)
- Enabled HW compression for compression levels 1 through 6 (#1847438)
- Fixed inflateSyncPoint() bad return value on z15 (#1888930)


_______________________________________________
El-errata mailing list
[email protected]
https://oss.oracle.com/mailman/listinfo/el-errata

Oracle8: ELSA-2022-1642: zlib Important Security Update

Summary

Description of changes: [1.2.11-18] - Resolves: CVE-2018-25032 [1.2.11-17] - Fixed DFLTCC compression level switching issues (#1875492) - Enabled HW compression for compression levels 1 through 6 (#1847438) - Fixed inflateSyncPoint() bad return value on z15 (#1888930)

i386

x86_64

zlib-1.2.11-18.el8_5.i686.rpm zlib-1.2.11-18.el8_5.x86_64.rpm zlib-devel-1.2.11-18.el8_5.i686.rpm zlib-devel-1.2.11-18.el8_5.x86_64.rpm zlib-static-1.2.11-18.el8_5.i686.rpm zlib-static-1.2.11-18.el8_5.x86_64.rpm aarch64: zlib-1.2.11-18.el8_5.aarch64.rpm zlib-devel-1.2.11-18.el8_5.aarch64.rpm zlib-static-1.2.11-18.el8_5.aarch64.rpm

SRPMS

https://oss.oracle.com/ol8/SRPMS-updates/zlib-1.2.11-18.el8_5.src.rpm

Severity
Related CVEs: CVE-2018-25032

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.